### Function

# Gimp Vector2 sub

#### Declaration [src]

    void
    gimp_vector2_sub (
      GimpVector2* result,
      const GimpVector2* vector1,
      const GimpVector2* vector2
    )

#### Description [src]

Computes the difference of two 2D vectors (`vector1` minus `vector2`). The resulting `GimpVector2` is stored in `result`.

#### Parameters

`result`

  Type: `GimpVector2`

  The destination for the resulting `GimpVector2`.

  The argument will be set by the function.
  The data is owned by the caller of the function.

`vector1`

  Type: `GimpVector2`

  A pointer to the first `GimpVector2`.

  The data is owned by the caller of the function.

`vector2`

  Type: `GimpVector2`

  A pointer to the second `GimpVector2`.

  The data is owned by the caller of the function.